Package com.pixelmed.dicom

# Class SUVTransform

java.lang.Object
com.pixelmed.dicom.SUVTransform

public class SUVTransform extends Object

A transformation constructed from a DICOM attribute list that extracts those attributes which describe how stored pixel values are translated into PET SUV values.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SUVTransform.SingleSUVTransform`

## Constructor Summary

Constructors
Constructor
Description
`SUVTransform(AttributeList list)`

## Method Summary

Modifier and Type
Method
Description
`static long`
`deriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration(AttributeList list)`
`SUVTransform.SingleSUVTransform`
`getSingleSUVTransform(int frame)`
`String`
`toString(int frame, double storedValue)`
Given a stored pixel value, return a string containing a description of all known SUV that can be derived from it.
`String`
`toString(int frame, int storedValue)`
Given a stored pixel value, return a string containing a description of all known SUV that can be derived from it.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SUVTransform

public SUVTransform(AttributeList list)

Parameters:
  `list` - the dataset of an image object to be searched for transformations

## Method Details

### deriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration

public static long deriveScanDateTimeFromHalfLifeAcquisitionDateTimeFrameReferenceTimeAndActualFrameDuration(AttributeList list)

### getSingleSUVTransform

public SUVTransform.SingleSUVTransform getSingleSUVTransform(int frame)

### toString

public String toString(int frame, int storedValue)
Given a stored pixel value, return a string containing a description of all known SUV that can be derived from it.

Parameters:
  `frame` - numbered from zero; needed to select which transform if frame-specific
  `storedValue` - the actual stored pixel value to look up

### toString

public String toString(int frame, double storedValue)
Given a stored pixel value, return a string containing a description of all known SUV that can be derived from it.

Parameters:
  `frame` - numbered from zero; needed to select which transform if frame-specific
  `storedValue` - the actual stored pixel value to look up